#ifndef _BUF_IO_H
#define _BUF_IO_H

#define BUF_IO_SIZE 1024

struct buf_io {
    FILE *f;
    char *in;
    char *out;
    char *b_in;
    char *b_out;
    int b_in_level;
    int b_in_size;
    int b_out_level;
    int b_out_size;
    struct request_rec *r;
};

struct buf_io *buf_init(struct request_rec *r);
int parse_loop(struct buf_io *io);
void buf_destroy(struct buf_io *io);

#endif
